libgutenprint API Reference 5.2.11

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- File List
- Globals

Data Structures | Typedefs | Functions
color.h File Reference

Color functions. More...

## Data Structures
struct | stp_colorfuncs_t
struct | stp_color

## Typedefs
typedef struct stp_color | stp_color_t

## Functions
int | stp_color_init (stp_vars_t *v, stp_image_t *image, size_t steps)
int | stp_color_get_row (stp_vars_t *v, stp_image_t *image, int row, unsigned *zero_mask)
stp_parameter_list_t | stp_color_list_parameters (const stp_vars_t *v)
void | stp_color_describe_parameter (const stp_vars_t *v, const char *name, stp_parameter_t *description)
int | stp_color_register (const stp_color_t *color)
int | stp_color_unregister (const stp_color_t *color)
int | stp_color_count (void)
| Get the number of available color modules. More...
const stp_color_t * | stp_get_color_by_name (const char *name)
| Get a color module by its name. More...
const stp_color_t * | stp_get_color_by_index (int idx)
| Get a color module by its index number. More...
const stp_color_t * | stp_get_color_by_colorfuncs (stp_colorfuncs_t *colorfuncs)
const char * | stp_color_get_name (const stp_color_t *c)
| Get the short (untranslated) name of a color module. More...
const char * | stp_color_get_long_name (const stp_color_t *c)
| Get the long (translated) name of a color module. More...

## Detailed Description

Color functions.